<?

function leer_ventanas($pantalla,$usuario) {
	global $win;
	global $total_ventanas;
	//global $winconf;
	$sql="select * from pf_window  ";
	$sql.="where pantalla=$pantalla and id_usuario=$usuario ";
	$sql.="order by id_camara ";
	$filas=0;
	$resultado="";
	ejecutarsql($sql,&$filas,&$resultado);	
	$num_ventanas=$filas;
	if ($total_ventanas!=$num_ventanas) {
		// si no existe o esta mal formado entonces lo reconstruye..
		$sql="delete from pf_window  ";
		$sql.="where pantalla=$pantalla and id_usuario=$usuario ";
		ejecutarsql($sql,&$filas,&$resultado);	
		$px=15;
		$py=55;
		$num_ventanas=$total_ventanas;
		for ($i=0;$i<$num_ventanas;$i++) {
			$win[$i]["x"]=$px;	
			$win[$i]["y"]=$py;	
			$win[$i]["w"]=300;	
			$win[$i]["h"]=200;	
			$win[$i]["status"]=0;	
			$win[$i]["id"]=$i;
			//$win[$i]["titulo"]=$camaras[$i]["nombre_camara"];
			//$win[$i]["id"]=$camaras[$i]["id_camara"];
			//$win[$i]["tipo"]=$camaras[$i]["tipo_camara"];
			$px+=20;
			$py+=20;			
		}
		
		} else {
		for ($i=0;$i<$num_ventanas;$i++) {
			$win[$i]["x"]=mssql_result($resultado,$i, "x");	
			$win[$i]["y"]=mssql_result($resultado,$i, "y");	
			$win[$i]["w"]=mssql_result($resultado,$i, "w");	
			$win[$i]["h"]=mssql_result($resultado,$i, "h");	
			$win[$i]["id"]=mssql_result($resultado,$i, "id_camara");	
			$win[$i]["status"]=0;
			//$win[$i]["titulo"]=mssql_result($resultado,$i, "nombre_camara");
			//$win[$i]["status"]=mssql_result($resultado,$i, "status");	
			//$win[$i]["id"]=mssql_result($resultado,$i, "id_camara");	
			//$win[$i]["tipo"]=mssql_result($resultado,$i, "tipo_camara");	
			//if ($win[$i]["tipo"]=="CONF") { $winconf=$i; }
			
		}	
		
		
	}
	
}

function ventana($numero,$x,$y,$w,$h,$titulo,$tipo=0,$ultimo=0) {
		global $nsensores,$sensorm,$sensort;
		$tmp= "<script type='text/javascript'>\n";
		$tmp.= "numventanas=numventanas+1;\n";
		$tmp.= "win[$numero] = southprojects.Window.setup({\n";
		$tmp.= "	left:$x, \n";
		$tmp.= "	top:$y, 			\n";
		$tmp.= "	width:$w, \n";
		$tmp.= "	height:$h, 			\n";				
		$tmp.= "	canResize:true,\n";
		$tmp.= "	showStatus : false,\n";
		//$tmp.= "	initialState :'hidden',\n";
		
		
		//$tmp.= "	theme:'greyxp',\n";
		$tmp.= "	theme:'osx',\n";
		//$tmp.= "  onClose:onoculta,\n";
		$tmp.= "	title:'$titulo',\n";
		$tmp.= "	valor:$numero,\n";
		$tmp.= "	hideOnClose:true,\n";
		
		//$tmp.= "	showCloseButton:false,\n";
		
		$tmp.= "	raiseOnlyOnTitle:false, \n";
		
		$contenido= "<table border='1' width='100%'>";
		$contenido.= "<tr>";
		$contenido.= "    <td width='87'  >Temp Min</td>";
		$contenido.= "    <td width='87' id='cel1_$numero'>44.4</td>";
		$contenido.= "</tr><tr>";
		$contenido.= "    <td width='87'>Temp Max</td>";
		$contenido.= "    <td width='87' id='cel2_$numero'>55.5</td>";
		$contenido.= "</tr><tr>";
		$contenido.= "    <td width='87'>Status</td>";
		$contenido.= "    <td width='87' id='cel3_$numero'>&nbsp;</td>";
		$contenido.= "</tr>";
		$contenido.= "<tr>";
		$contenido.= "</tr>";		
		$contenido.= "<tr>";

		
		$tmp.=" iframeContent : false, \n";
		
		
		$tmp.= "	content : \"<iframe id='iventana$numero' class='spWinContent' scrolling='no' src='win_menu.php?ventanan=".$numero."&ultimo=".$ultimo."&rrr=".mt_rand()."' width=100% height=100%>\" \n";
		
		$tmp.= "});\n";
		//$tmp.="win[$numero].minimize();";
		$tmp.= "</script>\n";
	return $tmp;
}
function camimg($arr,$num) {

	// dibujar cuadrados de ventana que estan en el fondo.
	$nombreimg="";
	switch (trim($arr["estado_actual"])) {
		case "V": // VALIDO.
			$nombreimg="blanca".$arr["posicion_puerta"].".jpg";
			break;
		case "N": // NO HABILITADO
			$nombreimg="gris".$arr["posicion_puerta"].".jpg";
			break;
		case "P": // PROCESO
			$nombreimg="roja".$arr["posicion_puerta"].".jpg";
			break;
		default:
			$nombreimg="gris".$arr["posicion_puerta"].".jpg";
			break;

		
	}
	$tmp="<script type='text/javascript'>\n";
	$tmp.="var mensaje".$num."=\"<img src='images/carga_home.gif'/> Cargando...\";\n";
	$tmp.="</script>\n";
	$onmouse="onmousemove=\"positiontip(this);\" onmouseover=\"javascript: ddrivetip(mensaje$num,300); this.style.cursor='pointer';\" onmouseout=\"javascript:this.style.cursor='default'; hideddrivetip(); \" ";
	
	$tmp.= "<div id='bg_image' border=1 class='bg_image' style='left:".$arr["x"]."; top:".$arr["y"].";' onclick='javascript: activar_ventana($num);' $onmouse > \n";
	$tmp.= "<img id='caming_image$num' src='images/camaras/$nombreimg' style=' width: ".$arr["w"]."; height: ".$arr["h"].";'> \n";
	$tmp.= "</div>\n";	
	$tmp.= "<div id='bg_image' class='bg_text' onclick='javascript: activar_ventana($num);' $onmouse ";
	$tmp.= " style='left:".$arr["x"]."; top:".$arr["y"]."; width:".$arr["w"]."; height:".$arr["h"]."; padding-top:5px; '> \n";
	//$tmp.= "<p></p>\n";
	$tmp.= "<p align='center' style='line-height:100%; margin-top:0; margin-bottom:0;' id='caming_titulo$num' ondblclick=\"alert('ok');\"><img src='images/carga_home.gif'/></p>\n";
	$tmp.= "<div align='center' style='line-height:100%;  margin-top:0; margin-bottom:0; ' >";
	$tmp.= "<table width=80% class='caming_texto' border=0 >\n";
	posicion__sensoresxcamara($pos,$num);
	$columna=floor(($arr["w"]*0.8)/30);
	
	$columna=($columna>0)?$columna:1;
	$ancho=100/($columna+1);

	$largo=ceil(($arr["h"]-36)/15);
	
	for ($i=1;$i<=$largo;$i++) {
	
		for ($e=0;$e<$columna;$e++) {
			$k[$e]=($pos[$i+($largo*$e)]!=="")?"id='c".$num."_".$pos[$i+($largo*$e)]."'":"";
			
			if (strtoupper($_SESSION["nombre_usuario"])=="ADMIN") {
				$vacio[$e]="<font color='silver'>".($i+($largo*$e))."</font>";
			} else {
				$vacio[$e]="&nbsp;";
			}
		}

		$tmp.= "<tr>";
		for ($e=0;$e<$columna;$e++) {
			$tmp.="<td ".$k[$e]." align='center' width=$ancho%>".$vacio[$e]."</td>";
		}
		
		/*if ($columna>=1) $tmp.="<td $k1 align='center' width=$ancho%>$vacio</td>";
		if ($columna>=2) $tmp.="<td $k2 align='center' width=$ancho%>$vacio2</td>";
		if ($columna>=3) $tmp.="<td $k3 align='center' width=$ancho%>$vacio3</td>";
		if ($columna>3) $tmp.="<td $k4 align='center' width=$ancho%>$vacio4</td>";
		*/
		$tmp.="</tr>\n";
		
		
	}



	$tmp.= "</table></div>\n";
	/*$tmp.= "<p align='center' style='line-height:100%; margin-top:0; margin-bottom:0;' >";
	$tmp.= "<table width=80% class='caming_texto' >\n";
	$tmp.= "<tr><td>Minima:</td><td id='caming_minima$num'>--</td></tr>\n";
	$tmp.= "<tr><td>Maxima:</td><td id='caming_maxima$num'>--</td></tr>\n";
	$tmp.= "</table>\n";
	$tmp.= "</p>\n";*/
	$tmp.= "</div>\n";
	return ($tmp);
}
function camimg_noex($arr,$num) {
	// dibujar cuadrados de ventana que estan en el fondo.
	$nombreimg=$arr["posicion_puerta"];
	$tmp= "<div id='bg_image' border=1 class='bg_image' style='left:".$arr["x"]."; top:".$arr["y"].";' > \n";
	$tmp.= "<img id='caming_imagenoex$num' src='images/camaras/$nombreimg' style=' width: ".$arr["w"]."; height: ".$arr["h"].";'> \n";
	$tmp.= "</div>\n";	
	return ($tmp);
}

function camimg_item($arr,$num) {
	// dibujar cuadrados de ventana que estan en el fondo.
	echo "?????<br>?????????<br>????????????<br>";
	$nombreimg="rojaAbajoCentro.jpg" // $arr["tipo_item"]."jpg";
	
	$tmp="<script type='text/javascript'>\n";
	$tmp.="var mensaje_item".$num."=\"<img src='images/carga_home.gif'/> Cargando...\";\n";
	$tmp.="</script>\n";
	$onmouse="onmousemove=\"positiontip(this);\" onmouseover=\"javascript: ddrivetip(mensaje_item".$num.",300); this.style.cursor='pointer';\" onmouseout=\"javascript:this.style.cursor='default'; hideddrivetip(); \" ";
	
	
	$tmp= "<div id='bg_image' border=1 class='bg_image' style='left:".$arr["x"]."; top:".$arr["y"].";'  $onmouse > \n";
	$tmp.= "<img id='caming_imageitem$num' src='images/camaras/$nombreimg' style=' width: ".$arr["w"]."; height: ".$arr["h"].";'> \n";
	$tmp.= "</div>\n";	
	
	return ($tmp);
}


?>